************
* Figure 1 *
************

foreach c in kor esp jpn {

	use data/data_`c', clear

	foreach y in win run {
		
		if "`c'" == "kor" & "`y'" == "run" local l "a" 
		if "`c'" == "kor" & "`y'" == "win" local l "b" 
		if "`c'" == "esp" & "`y'" == "run" local l "c" 
		if "`c'" == "esp" & "`y'" == "win" local l "d" 
		if "`c'" == "jpn" & "`y'" == "run" local l "e" 
		if "`c'" == "jpn" & "`y'" == "win" local l "f" 
		
		if "`y'" == "run" {
			local ytitle "Prob. of running at t+1"
		}
		if "`y'" == "win" {
			local ytitle "Prob. of winning at t+1"		
		}						
				
		rdplot f`y' rv1 if rv1>=-0.05 & rv1<0.05, p(2) nbins(25 25) ///
			graph_options( xtitle(Vote margin at t) ///
			ytitle( `ytitle' ) legend(off) title("")  ///
			xscale(range(-0.05 0.05)) xlabel(-0.05(0.025)0.05) ///
			yscale(range(0 1)) ylabel(0(0.2)1) ///
		)

		graph export figures/Figure1`l'.pdf, replace
		
	}
}


************
* Figure 2 *
************

use data/data_kor, clear
drop if year == 2018

foreach x in rv rv1 {
		
	foreach y in win run {
			
			if "`x'" == "rv"  & "`y'" == "run" local l "a" 
			if "`x'" == "rv"  & "`y'" == "win" local l "b" 
			if "`x'" == "rv1" & "`y'" == "run" local l "c" 
			if "`x'" == "rv1" & "`y'" == "win" local l "d" 
		
			rdplot f`y'_high `x' if `x'>=-0.05 & `x'<0.05, p(2) nbins(25 25) ///
				graph_options( ///
				xscale(range(-0.05 0.05)) yscale(range(0 0.31)) ///
				xlabel(-0.05(0.025)0.05) ylabel(0(0.1)0.3) ///
				legend(off) title("") xtitle("Vote margin at t") ///
				ytitle("Probability") ///
			)

			graph export figures/Figure2`l'.pdf, replace
		
	}
		
}


*************
* Figure B1 *
*************

foreach c in kor esp jpn {

	use data/data_`c', clear

	foreach y in win run {
		
		if "`c'" == "kor" & "`y'" == "run" local l "a" 
		if "`c'" == "kor" & "`y'" == "win" local l "b" 
		if "`c'" == "esp" & "`y'" == "run" local l "c" 
		if "`c'" == "esp" & "`y'" == "win" local l "d" 
		if "`c'" == "jpn" & "`y'" == "run" local l "e" 
		if "`c'" == "jpn" & "`y'" == "win" local l "f" 
		
		if "`y'" == "run" {
			local ytitle "Prob. of running at t+1"
		}
		if "`y'" == "win" {
			local ytitle "Prob. of winning at t+1"		
		}						
				
		rdplot f`y' rv if rv>=-0.05 & rv<0.05, p(2) nbins(25 25) ///
			graph_options( xtitle(Vote margin at t) ///
			ytitle( `ytitle' ) legend(off) title("")  ///
			xscale(range(-0.05 0.05)) xlabel(-0.05(0.025)0.05) ///
			yscale(range(0 1)) ylabel(0(0.2)1) ///
		)

		graph export figures/FigureB1`l'.pdf, replace
		
	}
}


*************
* Figure C1 *
*************

foreach c in kor esp jpn {

use data/data_`c', clear

	foreach x in run win {
	
		if "`c'" == "kor" & "`x'" == "run" local l "a" 
		if "`c'" == "kor" & "`x'" == "win" local l "b" 
		if "`c'" == "esp" & "`x'" == "run" local l "c" 
		if "`c'" == "esp" & "`x'" == "win" local l "d" 
		if "`c'" == "jpn" & "`x'" == "run" local l "e" 
		if "`c'" == "jpn" & "`x'" == "win" local l "f" 

		matrix P`x' = J(25,3,.)

		forvalues i=5/25 {
	
			local bw = `i'/100
			matrix P`x'[`i',1] = `bw'

			quietly rdrobust f`x' rv1, h(`bw')
			matrix P`x'[`i',2] = e(tau_cl)
			matrix P`x'[`i',3] = e(se_tau_cl)
		}
	
		capture drop Prun* Pwin*
		svmat P`x'

		serrbar P`x'2 P`x'3 P`x'1, scale(1.96) yline(0,lpattern(solid)) ///
		yscale(range(-0.1 0.2)) ylabel(-0.1 (0.1) 0.2, angle(90)) xscale(range(0.05 0.25)) xlabel(0.05 (0.05) 0.25) ///
			xtitle(RDD Bandwidth) ytitle(Estimate)
	
		graph export figures/FigureC1`l'.pdf, replace

	}
}

*************
* Figure C2 *
*************

foreach c in kor esp jpn {

use data/data_`c', clear

	foreach x in run win {
	
	
		if "`c'" == "kor" & "`x'" == "run" local l "a" 
		if "`c'" == "kor" & "`x'" == "win" local l "b" 
		if "`c'" == "esp" & "`x'" == "run" local l "c" 
		if "`c'" == "esp" & "`x'" == "win" local l "d" 
		if "`c'" == "jpn" & "`x'" == "run" local l "e" 
		if "`c'" == "jpn" & "`x'" == "win" local l "f" 	
	
		matrix P`x' = J(25,3,.)

		forvalues i=5/25 {
	
			local bw = `i'/100
			matrix P`x'[`i',1] = `bw'

			quietly rdrobust f`x' rv, h(`bw')
			matrix P`x'[`i',2] = e(tau_cl)
			matrix P`x'[`i',3] = e(se_tau_cl)
		}
	
		capture drop Prun* Pwin*
		svmat P`x'

		serrbar P`x'2 P`x'3 P`x'1, scale(1.96) yline(0,lpattern(solid)) ///
		yscale(range(-0.1 0.35)) ylabel(-0.1 (0.1) 0.3, angle(90)) xscale(range(0.05 0.25)) xlabel(0.05 (0.05) 0.25) ///
			xtitle(RDD Bandwidth) ytitle(Estimate)
	
		graph export figures/FigureC2`l'.pdf, replace

	}
}


*************
* Figure C3 *
*************

use data/data_kor, clear

foreach x in run win {
	
	if "`x'" == "run" {
		local l "a"
	}
	else {
		local l "b"
	}
	
	matrix P`x' = J(25,3,.)

	forvalues i=5/25 {
	
		local bw = `i'/100
		matrix P`x'[`i',1] = `bw'

		quietly rdrobust f`x'_high rv if year != 2018, h(`bw')
		matrix P`x'[`i',2] = e(tau_cl)
		matrix P`x'[`i',3] = e(se_tau_cl)
	}
	
	capture drop Prun* Pwin*
	svmat P`x'

	serrbar P`x'2 P`x'3 P`x'1, scale(1.96) yline(0,lpattern(solid)) ///
	yscale(range(-0.1 0.2)) ylabel(-0.1 (0.1) 0.2, angle(90)) xscale(range(0.05 0.25)) xlabel(0.05 (0.05) 0.25) ///
		xtitle(RDD Bandwidth) ytitle(Estimate)
	
	graph export figures/FigureC3`l'.pdf, replace

}

foreach x in run win {
	
	if "`x'" == "run" {
		local l "c"
	}
	else {
		local l "d"
	}
	matrix P`x' = J(25,3,.)

	forvalues i=5/25 {
	
		local bw = `i'/100
		matrix P`x'[`i',1] = `bw'

		quietly rdrobust f`x'_high rv1 if year != 2018, h(`bw')
		matrix P`x'[`i',2] = e(tau_cl)
		matrix P`x'[`i',3] = e(se_tau_cl)
	}
	
	capture drop Prun* Pwin*
	svmat P`x'

	serrbar P`x'2 P`x'3 P`x'1, scale(1.96) yline(0,lpattern(solid)) ///
	yscale(range(-0.1 0.25)) ylabel(-0.1 (0.1) 0.2, angle(90)) xscale(range(0.05 0.25)) xlabel(0.05 (0.05) 0.25) ///
		xtitle(RDD Bandwidth) ytitle(Estimate)
	
	graph export figures/FigureC3`l'.pdf, replace

}

*************
* Figure C4 *
*************

foreach y in kor esp jpn {

	use data/data_`y', clear

	capture drop x
	capture drop rv0
	gen rv0 = rv
	
	
	forvalues i = 0/1 {
		
		if "`y'" == "kor" & `i' == 0 local l "a" 
		if "`y'" == "kor" & `i' == 1 local l "b" 
		if "`y'" == "esp" & `i' == 0 local l "c" 
		if "`y'" == "esp" & `i' == 1 local l "d" 
		if "`y'" == "jpn" & `i' == 0 local l "e" 
		if "`y'" == "jpn" & `i' == 1 local l "f" 

		local bin_size = 0.002

		twoway__histogram_gen rv`i' if rv`i' >= -0.05 & rv`i' <= 0.05, gen (h x) freq width(`bin_size')
		quietly sum h 
		local h_max = r(max)
		drop h x

		graph twoway (hist rv`i' if rv`i' >= -0.05 & rv`i' <= 0.05, width(`bin_size') freq) ///
			(function y = 0, horizontal range(0 `h_max') lcolor(red) lwidth(medthin)) ///
			,xtitle("Running variable") ytitle(Frequency) legend(off)
		graph export figures/FigureC4`l'.pdf, replace

	}

}

